### Method

# Clapper Queue steal_index

#### Declaration [src]

    ClapperMediaItem*
    clapper_queue_steal_index (
      ClapperQueue* queue,
      guint index
    )

#### Description [src]

Removes `ClapperMediaItem` at `index` from the queue.

#### Parameters

`index`

  Type: `guint`

  An item index.

#### Return value

Type: `ClapperMediaItem`

The removed `ClapperMediaItem` at `index`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.